Upload captured artifact bytes
curl --request PUT \
--url https://api.firedrill.run/v1/runs/{runId}/artifacts/{artifactId}/content \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: image/png' \
--header 'x-fd-attempt-id: <x-fd-attempt-id>' \
--header 'x-fd-lease-token: <x-fd-lease-token>' \
--data '<string>'import requests
url = "https://api.firedrill.run/v1/runs/{runId}/artifacts/{artifactId}/content"
payload = "<string>"
headers = {
"x-fd-attempt-id": "<x-fd-attempt-id>",
"x-fd-lease-token": "<x-fd-lease-token>",
"Authorization": "Bearer <token>",
"Content-Type": "image/png"
}
response = requests.put(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-fd-attempt-id': '<x-fd-attempt-id>',
'x-fd-lease-token': '<x-fd-lease-token>',
Authorization: 'Bearer <token>',
'Content-Type': 'image/png'
},
body: '<string>'
};
fetch('https://api.firedrill.run/v1/runs/{runId}/artifacts/{artifactId}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.firedrill.run/v1/runs/{runId}/artifacts/{artifactId}/content",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => "<string>",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: image/png",
"x-fd-attempt-id: <x-fd-attempt-id>",
"x-fd-lease-token: <x-fd-lease-token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.firedrill.run/v1/runs/{runId}/artifacts/{artifactId}/content"
payload := strings.NewReader("<string>")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-fd-attempt-id", "<x-fd-attempt-id>")
req.Header.Add("x-fd-lease-token", "<x-fd-lease-token>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "image/png")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.firedrill.run/v1/runs/{runId}/artifacts/{artifactId}/content")
.header("x-fd-attempt-id", "<x-fd-attempt-id>")
.header("x-fd-lease-token", "<x-fd-lease-token>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "image/png")
.body("<string>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.firedrill.run/v1/runs/{runId}/artifacts/{artifactId}/content")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-fd-attempt-id"] = '<x-fd-attempt-id>'
request["x-fd-lease-token"] = '<x-fd-lease-token>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'image/png'
request.body = "<string>"
response = http.request(request)
puts response.read_body{
"runId": "<string>",
"attemptId": "<string>",
"state": "pending",
"uploadPath": "<string>",
"downloadPath": "<string>",
"id": "<string>",
"name": "<string>",
"kind": "file",
"mediaType": "image/png",
"bytes": 123,
"sha256": "<string>",
"capturedAt": "<string>",
"metadata": {}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}Upload captured artifact bytes
Requires runs:execute and the current lease. Send the exact declared media type, byte length and digest, at most 16 MiB. The pending artifact ID reconciles upload recovery; metadata remains pending if upload did not finish.
Upload captured artifact bytes
curl --request PUT \
--url https://api.firedrill.run/v1/runs/{runId}/artifacts/{artifactId}/content \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: image/png' \
--header 'x-fd-attempt-id: <x-fd-attempt-id>' \
--header 'x-fd-lease-token: <x-fd-lease-token>' \
--data '<string>'import requests
url = "https://api.firedrill.run/v1/runs/{runId}/artifacts/{artifactId}/content"
payload = "<string>"
headers = {
"x-fd-attempt-id": "<x-fd-attempt-id>",
"x-fd-lease-token": "<x-fd-lease-token>",
"Authorization": "Bearer <token>",
"Content-Type": "image/png"
}
response = requests.put(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-fd-attempt-id': '<x-fd-attempt-id>',
'x-fd-lease-token': '<x-fd-lease-token>',
Authorization: 'Bearer <token>',
'Content-Type': 'image/png'
},
body: '<string>'
};
fetch('https://api.firedrill.run/v1/runs/{runId}/artifacts/{artifactId}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.firedrill.run/v1/runs/{runId}/artifacts/{artifactId}/content",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => "<string>",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: image/png",
"x-fd-attempt-id: <x-fd-attempt-id>",
"x-fd-lease-token: <x-fd-lease-token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.firedrill.run/v1/runs/{runId}/artifacts/{artifactId}/content"
payload := strings.NewReader("<string>")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-fd-attempt-id", "<x-fd-attempt-id>")
req.Header.Add("x-fd-lease-token", "<x-fd-lease-token>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "image/png")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.firedrill.run/v1/runs/{runId}/artifacts/{artifactId}/content")
.header("x-fd-attempt-id", "<x-fd-attempt-id>")
.header("x-fd-lease-token", "<x-fd-lease-token>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "image/png")
.body("<string>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.firedrill.run/v1/runs/{runId}/artifacts/{artifactId}/content")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-fd-attempt-id"] = '<x-fd-attempt-id>'
request["x-fd-lease-token"] = '<x-fd-lease-token>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'image/png'
request.body = "<string>"
response = http.request(request)
puts response.read_body{
"runId": "<string>",
"attemptId": "<string>",
"state": "pending",
"uploadPath": "<string>",
"downloadPath": "<string>",
"id": "<string>",
"name": "<string>",
"kind": "file",
"mediaType": "image/png",
"bytes": 123,
"sha256": "<string>",
"capturedAt": "<string>",
"metadata": {}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}Authorizations
Opaque Firedrill interactive or scoped machine credential. The CLI handles human-approved login; CI stores its scoped credential as FIREDRILL_TOKEN. Capabilities and project/environment ownership are rechecked at use.
Headers
The owning run attempt.
The current attempt lease secret.
Path Parameters
Required string length:
1 - 160Required string length:
1 - 160Body
image/pngimage/jpegimage/webpapplication/zipapplication/jsontext/plaintext/markdownapplication/pdfapplication/octet-streamvideo/webm
The body is of type file.
Maximum string length:
16777216Response
The retained resource or operation response.
Available options:
pending, available Available options:
file, screenshot, trace, browser_events, recording Available options:
image/png, image/jpeg, image/webp, application/zip, application/json, text/plain, text/markdown, application/pdf, application/octet-stream, video/webm Show child attributes
Show child attributes